<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="card">
            <h2><span>Card</span> {{ card.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ card.name }}</span>
                </dd>
                <dt><span>Abbreviation</span></dt>
                <dd>
                    <span>{{ card.abbreviation }}</span>
                </dd>
                <dt><span>Description</span></dt>
                <dd>
                    <span>{{ card.description }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ card.status }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ card.type }}</span>
                </dd>
                <dt><span>Photo</span></dt>
                <dd>
                    <span>{{ card.photo }}</span>
                </dd>
                <dt><span>Require Applicant</span></dt>
                <dd>
                    <span>{{ card.requireApplicant }}</span>
                </dd>
                <dt><span>Member Validity</span></dt>
                <dd>
                    <span>{{ card.memberValidity }}</span>
                </dd>
                <dt><span>Member Fee</span></dt>
                <dd>
                    <span>{{ card.memberFee }}</span>
                </dd>
                <dt><span>Member Fee Vat</span></dt>
                <dd>
                    <span>{{ card.memberFeeVat }}</span>
                </dd>
                <dt><span>Additional Member</span></dt>
                <dd>
                    <span>{{ card.additionalMember }}</span>
                </dd>
                <dt><span>Additional Member Fee</span></dt>
                <dd>
                    <span>{{ card.additionalMemberFee }}</span>
                </dd>
                <dt><span>Number Of Transfer</span></dt>
                <dd>
                    <span>{{ card.numberOfTransfer }}</span>
                </dd>
                <dt><span>Transfer Fee</span></dt>
                <dd>
                    <span>{{ card.transferFee }}</span>
                </dd>
                <dt><span>Annual Fee</span></dt>
                <dd>
                    <span>{{ card.annualFee }}</span>
                </dd>
                <dt><span>Annual Fee Vat</span></dt>
                <dd>
                    <span>{{ card.annualFeeVat }}</span>
                </dd>
                <dt><span>Age Min</span></dt>
                <dd>
                    <span>{{ card.ageMin }}</span>
                </dd>
                <dt><span>Age Max</span></dt>
                <dd>
                    <span>{{ card.ageMax }}</span>
                </dd>
                <dt><span>Visa Period</span></dt>
                <dd>
                    <span>{{ card.visaPeriod }}</span>
                </dd>
                <dt><span>Active Start Date</span></dt>
                <dd>
                    <span>{{ card.activeStartDate }}</span>
                </dd>
                <dt><span>Active End Date</span></dt>
                <dd>
                    <span>{{ card.activeEndDate }}</span>
                </dd>
                <dt><span>Member Information Agreement</span></dt>
                <dd>
                    <span>{{ card.memberInformationAgreement }}</span>
                </dd>
                <dt><span>Member Package Agreement</span></dt>
                <dd>
                    <span>{{ card.memberPackageAgreement }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ card.remark }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ card.active }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/card', card.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
